#!/usr/bin/python3
#
# Simple exemple pour la méthode d'Euler

from euler import euler

def f(x, t):
    return x + t
    
solution = euler(f, 0.0, 0.01, 100)


import numpy as np
import matplotlib.pyplot as plt

def analytic(t):
    return np.exp(t) - t - 1.

t = np.linspace(0, 1, 101)

plt.figure(dpi=200)
plt.rc('text', usetex=True)
plt.rc('font', family='serif')
plt.plot(t, solution)
plt.tick_params(labelsize=16)
plt.xlabel('$t$',fontsize=16)
plt.ylabel('$x(t)$' ,fontsize=16)
#plt.plot(t, analytic(t))

plt.figure(dpi=200)
plt.plot(t, np.abs(np.array(solution) - analytic(t)))
plt.xlabel("$t$")
plt.ylabel("$\Delta x(t)$")

plt.show()
